Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class BatchResponse

    java.lang.Object
      |
      +--org.openspml.message.SpmlResponse
            |
            +--org.openspml.message.BatchResponse

public class BatchResponse
extends SpmlResponse

A class representing a `batchResponse` message.

This contains a list of `SpmlResponse` objects, and an optional set of attributes that applies to the batch as a whole.

Fields inherited from class org.openspml.message.SpmlResponse
`ERROR_CUSTOM_ERROR, ERROR_MALFORMED_REQUEST, ERROR_NO_SUCH_IDENTIFIER, ERROR_NO_SUCH_REQUEST, ERROR_UNSUPPORTED_IDENTIFIER_TYPE, ERROR_UNSUPPORTED_OPERATION, RESULT_FAILURE, RESULT_PENDING, RESULT_SUCCESS`

Constructor Summary
`BatchResponse()`
`BatchResponse(XmlElement e)`

Method Summary
`void` | `addResponse(SpmlResponse r)`
`java.util.List` | `getAttributes()`
`SpmlResponse` | `getResponse(java.lang.Class c)` Return a response of a given class.
`java.util.List` | `getResponses()`
`void` | `setAttribute(Attribute a)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttributes(java.util.List l)`
`void` | `setResponses(java.util.List l)`

Methods inherited from class org.openspml.message.SpmlResponse
`addExtendedErrorMessage, createResponseForRequest, createResponseForRequest, dumpFile, getError, getErrorMessage, getExtendedErrorMessages, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, getResult, isFailure, parseResponse, parseResponse, parseResponse, removeOperationalAttribute, setError, setErrorMessage, setErrorMessage, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setOperationalAttributes, setRequestId, setResult, throwErrors, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchResponse

    public BatchResponse()

### BatchResponse

    public BatchResponse(XmlElement e)

Method Detail

### setAttributes

    public void setAttributes(java.util.List l)

### setAttribute

    public void setAttribute(Attribute a)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### setResponses

    public void setResponses(java.util.List l)

### addResponse

    public void addResponse(SpmlResponse r)

### getAttributes

    public java.util.List getAttributes()

### getResponses

    public java.util.List getResponses()

### getResponse

    public SpmlResponse getResponse(java.lang.Class c)

  Return a response of a given class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD